






#import "UIDevice+MinDevice.h"
#import "MatchMenuManager.h"
@import UIKit;

@implementation UIDevice (MinDevice)

static NSInteger canBut = -1;
+ (BOOL)canBut {
    if (canBut < 0) {
        canBut = [UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPad ? 1 : 0;
    }
    return canBut > 0;
}

+ (BOOL)settling {
    if (@available(iOS 11.0, *)) {
        
        UIWindow *window = MatchMenuManager.shared.teacherDepthWindow;
        
        UIEdgeInsets safeArea = window.safeAreaInsets;
        
        
        BOOL sexAvail = ([UIDevice currentDevice].userInterfaceIdiom == UIUserInterfaceIdiomPhone);
        
        
        return sexAvail && (
            safeArea.top > 20.0 ||          
            safeArea.left > 0 ||            
            safeArea.right > 0              
        );
    }
    return NO; 
}

@end
